"""
Configs migration

Generation datetime: 2021-05-13 10:18:26.037648
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "7777d7c8"
DOWN_REVISION = "e2e46545"


limitationsToModify: List[LimitationToModify] = [
    LimitationToModify(
        limitationName="LUNA_SENDER_ADDRESS",
        settingUpgradeFunction=None,
        settingDowngradeFunction=None,
        # DON'T REMOVE SERVICES. Used in profiled migrations.
        oldServices=["luna-admin", "luna-backport4"],
        newServices=["luna-admin", "luna-api", "luna-backport4"],
    ),
]


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)
